<Project Sdk="Microsoft.NET.Sdk">

  <ItemGroup>
    <ProjectReference Include="..\QuantEngine.Core\QuantEngine.Core.csproj" />
    <ProjectReference Include="..\QuantEngine.Application\QuantEngine.Application.csproj" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Dapper" Version="2.1.79" />
    <PackageReference Include="Npgsql" Version="10.0.3" />
    <PackageReference Include="dbup-postgresql" Version="5.1.2" />
    <PackageReference Include="Microsoft.Extensions.Logging.Abstractions" Version="10.0.0" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="Migrations/**/*.sql" />
  </ItemGroup>

  <PropertyGroup>
    <TargetFramework>net10.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

</Project>
